> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get order by user

> Get order by user



## OpenAPI

````yaml oms_v1 get /api-order/orders/user
openapi: 3.0.0
info:
  description: Order Management System
  version: 1.0.0
  title: Orders v1 (OMS v1)
  contact:
    email: oms-team@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
servers:
  - url: https://prod01-apigw.{customer_name}.fabric.zone
    description: Production
    variables:
      customer_name:
        default: yourcompany
        description: Customer name, provided by support team
security: []
tags:
  - name: Cart
    description: >-
      Cart APIs<br /><br />**Note:** These are the legacy Cart APIs. To view
      fabric's new Cart APIs, navigate to *Cart API > Cart* from the left side
      navigation pane.
  - name: Bill To
    description: Bill To APIs [Deprecated]
  - name: Ship To
    description: >-
      Ship To APIs<br /><br />**Note:** These are the legacy Ship To APIs. To
      view fabric's new Shipping APIs, navigate to *Cart API > Shipping* from
      the left side navigation pane.
  - name: Wishlist
    description: Wishlist APIs
  - name: Cart Decoupled
    description: Cart Decoupled APIs
  - name: Warehouse
    description: Warehouse APIs
  - name: Inventory
    description: Inventory APIs
  - name: Attributes
    description: >-
      Attributes APIs<br /><br />**Note:** These are the legacy Attribute APIs.
      To view fabric's new Attribute APIs, navigate to *Cart API > Attribute*
      from the left side navigation pane.
  - name: List
    description: List APIs
  - name: Tax/Address Validate
    description: Tax/Address Validate APIs
  - name: Shipping
    description: Shipping APIs
  - name: Payments
    description: Payments APIs
  - name: Order
    description: Order APIs
paths:
  /api-order/orders/user:
    get:
      tags:
        - Order
      summary: Get order by user
      description: Get order by user
      operationId: GetOrderByUser
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
        - in: header
          name: Authorization
          required: true
          schema:
            type: string
          example: JWT
        - in: query
          name: Pagination parameters
          schema:
            type: object
            properties:
              offset:
                type: integer
                default: 0
                minimum: 0
              limit:
                type: integer
                minimum: 1
      responses:
        '200':
          description: Order
          content:
            application/json:
              schema:
                type: object
                properties:
                  query:
                    type: object
                    properties:
                      limit:
                        type: number
                        example: 2
                      offset:
                        type: number
                        example: 0
                      count:
                        type: number
                        example: 19
                      orderTotalSum:
                        type: number
                        example: 31719.46
                      orderAverage:
                        type: number
                        example: 1669.45
                      totalQuantitySum:
                        type: number
                        example: 132
                      statusCounts:
                        type: object
                        properties:
                          ORDER_CREATED:
                            type: number
                            example: 13
                          ORDER_CONFIRMED:
                            type: number
                            example: 0
                          ORDER_CANCELLED:
                            type: number
                            example: 1
                          ORDER_PARTIALLY_SHIPPED:
                            type: number
                            example: 0
                          ORDER_SHIPPED:
                            type: number
                            example: 2
                          ORDER_PARTIALLY_DELIVERED:
                            type: number
                            example: 0
                          ORDER_DELIVERED:
                            type: number
                            example: 0
                          ORDER_RETURNED:
                            type: number
                            example: 0
                          ORDER_PARTIALLY_RETURNED:
                            type: number
                            example: 0
                          ORDER_PAYMENT_AUTHORIZED:
                            type: number
                            example: 2
                          ORDER_PAYMENT_INVALID:
                            type: number
                            example: 0
                          ORDER_FULFILLED:
                            type: number
                            example: 0
                          ORDER_PARTIALLY_FULFILLED:
                            type: number
                            example: 1
                  orders:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                          example: 60ca5d3dc0fac00008e64c91
                        tags:
                          type: array
                        cartId:
                          type: string
                          example: 60ca5b6ae3b5d900081ae44a
                        customerUserId:
                          type: string
                          example: 60c128045a38bf0009ad6502
                        attributes:
                          type: array
                        customerEmail:
                          type: string
                          example: mike@fabric.inc
                        orderCurrency:
                          type: string
                          example: USD
                        orderTotal:
                          type: number
                          example: 90.5
                        taxTotal:
                          type: number
                          example: 0.5
                        channel:
                          type: number
                          example: 12
                        status:
                          type: string
                          example: ORDER_CREATED
                        statusLog:
                          type: string
                          example: Order has been created
                        orderReference:
                          type: string
                          example: 1635-8532-92190
                        orderId:
                          type: string
                          example: 8677-7648-19307
                        shipTo:
                          type: array
                          items:
                            type: object
                            properties:
                              pickupPerson:
                                type: object
                                properties:
                                  name:
                                    type: object
                                    properties:
                                      first:
                                        type: string
                                        example: John
                                      last:
                                        type: string
                                        example: Doe
                                  phone:
                                    type: object
                                    properties:
                                      number:
                                        type: string
                                        example: 8087769338
                                      kind:
                                        type: string
                                        example: Mobile
                                  email:
                                    type: string
                                    example: us@fabric.inc
                              altPickupPerson:
                                type: object
                                properties:
                                  name:
                                    type: object
                                    properties:
                                      first:
                                        type: string
                                        example: first
                                      last:
                                        type: string
                                        example: last
                                  phone:
                                    type: object
                                    properties:
                                      number:
                                        type: string
                                        example: 8087769338
                                      kind:
                                        type: string
                                        example: Mobile
                                  email:
                                    type: string
                                    example: first@fabric.inc
                              promosApplied:
                                type: array
                              _id:
                                type: string
                                example: 60ca5c1c9f490e0008020b28
                              shipToType:
                                type: string
                                example: BOPIS
                              taxCode:
                                type: string
                                example: FR1000
                              shipToId:
                                type: number
                                example: 390
                              price:
                                type: number
                                example: 0
                              currency:
                                type: string
                                example: null
                              shipmentMethodId:
                                type: string
                                example: null
                              estimatedTax:
                                type: number
                                example: 0.5
                              shipmentCarrier:
                                type: string
                                example: null
                              shipmentMethod:
                                type: string
                                example: null
                              total:
                                type: number
                                example: 0.5
                              id:
                                type: string
                                example: 60ca5c1c9f490e0008020b28
                        items:
                          type: array
                          items:
                            type: object
                            properties:
                              group:
                                type: array
                                items:
                                  type: string
                                  example: 1.2312312312312322e+23
                              promosApplied:
                                type: array
                              _id:
                                type: string
                                example: 60ca5b6ae3b5d900081ae44b
                              price:
                                type: number
                                example: 90
                              weightUnit:
                                type: string
                                example: lb
                              isPickup:
                                type: boolean
                              itemId:
                                type: number
                                example: 89
                              quantity:
                                type: number
                                example: 1
                              priceListId:
                                type: number
                                example: 100000
                              sku:
                                type: string
                                example: GardenWoodSofa
                              taxCode:
                                type: string
                                example: tytuy
                              title:
                                type: string
                                example: Garden Wood Sofa
                              weight:
                                type: number
                                example: 2345
                              lineItemId:
                                type: number
                                example: 1
                              attributeTotalPrice:
                                type: number
                                example: 0
                              attributes:
                                type: array
                              warehouseId:
                                type: string
                                example: 60bf9615e66d120008b37e5e
                              currency:
                                type: string
                                example: USD
                              shipToId:
                                type: number
                                example: 390
                              discount:
                                type: number
                                example: 0
                              estimatedTax:
                                type: number
                                example: 0
                              total:
                                type: number
                                example: 90
                              reservedLocation:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    _id:
                                      type: string
                                      example: 60ca5d3e06b91d0008427435
                                    warehouseId:
                                      type: string
                                      example: 60bf9615e66d120008b37e5e
                                    quantity:
                                      type: number
                                      example: 1
                                    id:
                                      type: string
                                      example: 60ca5d3e06b91d0008427435
                              id:
                                type: string
                                example: 60ca5b6ae3b5d900081ae44b
                        shipments:
                          type: array
                        payments:
                          type: array
                          items:
                            type: object
                            properties:
                              billToAddress:
                                type: object
                                properties:
                                  name:
                                    type: object
                                    properties:
                                      first:
                                        type: string
                                        example: John
                                      last:
                                        type: string
                                        example: Smith
                                  phone:
                                    type: object
                                    properties:
                                      number:
                                        type: string
                                        example: 7780811973
                                      kind:
                                        type: string
                                        example: mobile
                                  email:
                                    type: string
                                    example: johnsmith@gmail.com
                                  street1:
                                    type: string
                                    example: 600 Congress Ave
                                  street2:
                                    type: string
                                    example: suite 219
                                  city:
                                    type: string
                                    example: Austin
                                  state:
                                    type: string
                                    example: Tx
                                  country:
                                    type: string
                                    example: US
                                  zipCode:
                                    type: string
                                    example: 10033
                              shipToId:
                                type: array
                                items:
                                  type: number
                                  example: 390
                              _id:
                                type: string
                                example: 60ca5d3dc0fac00008e64c94
                              paymentStatus:
                                type: string
                                example: succeeded
                              amount:
                                type: number
                                example: 90.5
                              currency:
                                type: string
                                example: USD
                              paymentIdentifier:
                                type: object
                                properties:
                                  cardIdentifier:
                                    type: string
                                    example: 4242
                              paymentMethod:
                                type: string
                                example: visa
                              paymentKind:
                                type: string
                                example: CARD_STRIPE
                              conversion:
                                type: number
                                example: 1
                              paymentToken:
                                type: object
                                properties:
                                  token:
                                    type: string
                                    example: pi_1J35DCJxr7zyIFb9axtM3OKv
                                  type:
                                    type: string
                                    example: CARD_STRIPE
                              id:
                                type: string
                                example: 60ca5d3dc0fac00008e64c94
                        revision:
                          type: number
                          example: 0
                        totalQuantity:
                          type: number
                          example: 1
                        statusDescriptions:
                          type: array
                        events:
                          type: array
                        pickups:
                          type: array
                        createdAt:
                          type: string
                          example: '2021-06-16T20:21:17.038Z'
                        updatedAt:
                          type: string
                          example: '2021-06-16T20:21:18.355Z'
                        __v:
                          type: number
                          example: 0
        '400':
          $ref: '#/components/responses/GenericClientError'
        '403':
          description: Provided userAuthToken is incorrect/expired
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    description: The error message
                    type: string
                    example: >-
                      User is not authorized to access this resource with an
                      explicit deny
        '500':
          $ref: '#/components/responses/GenericServerError'
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  responses:
    GenericClientError:
      description: A generic client error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string
    GenericServerError:
      description: A generic server error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string

````